/*******************************************************************************
* File Name: .h
* Version 1.0
*
* Description:
*  This private file provides constants and parameter values for the
*  SCB Component in I2C mode.
*  Please do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_PVT_SCB_H)
#define CY_SCB_PVT_SCB_H

#include "SCB.h"


/***************************************
*     Private Function Prototypes
***************************************/

/* APIs to service INTR_I2C_EC register */
#define SCB_SetI2CExtClkInterruptMode(interruptMask) SCB_WRITE_INTR_I2C_EC_MASK(interruptMask)
#define SCB_ClearI2CExtClkInterruptSource(interruptMask) SCB_CLEAR_INTR_I2C_EC(interruptMask)
#define SCB_GetI2CExtClkInterruptSource()                (SCB_INTR_I2C_EC_REG)
#define SCB_GetI2CExtClkInterruptMode()                  (SCB_INTR_I2C_EC_MASK_REG)
#define SCB_GetI2CExtClkInterruptSourceMasked()          (SCB_INTR_I2C_EC_MASKED_REG)

/* APIs to service INTR_SPI_EC register */
#define SCB_SetSpiExtClkInterruptMode(interruptMask) SCB_WRITE_INTR_SPI_EC_MASK(interruptMask)
#define SCB_ClearSpiExtClkInterruptSource(interruptMask) SCB_CLEAR_INTR_SPI_EC(interruptMask)
#define SCB_GetExtSpiClkInterruptSource()                 (SCB_INTR_SPI_EC_REG)
#define SCB_GetExtSpiClkInterruptMode()                   (SCB_INTR_SPI_EC_MASK_REG)
#define SCB_GetExtSpiClkInterruptSourceMasked()           (SCB_INTR_SPI_EC_MASKED_REG)

#if(SCB_SCB_MODE_UNCONFIG_CONST_CFG)
    extern void SCB_SetPins(uint32 mode, uint32 subMode, uint32 uartTxRx);
#endif /* (SCB_SCB_MODE_UNCONFIG_CONST_CFG) */

#endif /* (CY_SCB_PVT_SCB_H) */


/* [] END OF FILE */
