/*******************************************************************************
* File Name: SCB_SPI_UART_PVT.h
* Version 1.0
*
* Description:
*  This private file provides constants and parameter values for the
*  SCB Component in SPI and UART modes.
*  Please do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_SPI_UART_PVT_SCB_H)
#define CY_SCB_SPI_UART_PVT_SCB_H

#include "SCB_SPI_UART.h"


/***************************************
*     Internal Global Vars
***************************************/

#if(SCB_INTERNAL_RX_SW_BUFFER_CONST)
    extern volatile uint32  SCB_rxBufferHead;
    extern volatile uint32  SCB_rxBufferTail;
    extern volatile uint8   SCB_rxBufferOverflow;
#endif /* (SCB_INTERNAL_RX_SW_BUFFER_CONST) */

#if(SCB_INTERNAL_TX_SW_BUFFER_CONST)
    extern volatile uint32  SCB_txBufferHead;
    extern volatile uint32  SCB_txBufferTail;
#endif /* (SCB_INTERNAL_TX_SW_BUFFER_CONST) */

#if(SCB_INTERNAL_RX_SW_BUFFER)
    extern volatile uint8 SCB_rxBufferInternal[SCB_RX_BUFFER_SIZE];
#endif /* (SCB_INTERNAL_RX_SW_BUFFER) */

#if(SCB_INTERNAL_TX_SW_BUFFER)
    extern volatile uint8 SCB_txBufferInternal[SCB_TX_BUFFER_SIZE];
#endif /* (SCB_INTERNAL_TX_SW_BUFFER) */


/***************************************
*     Private Function Prototypes
***************************************/

#if(SCB_SCB_MODE_SPI_CONST_CFG)
    void SCB_SpiInit(void);
#endif /* (SCB_SCB_MODE_SPI_CONST_CFG) */

void SCB_SpiSaveConfig(void);
void SCB_SpiRestoreConfig(void);

#if(SCB_SCB_MODE_UART_CONST_CFG)
    void SCB_UartInit(void);
#endif /* (SCB_SCB_MODE_UART_CONST_CFG) */

void SCB_UartSaveConfig(void);
void SCB_UartRestoreConfig(void);

/* Interrupt processing */
#define SCB_SpiUartEnableIntRx(intSourceMask)  SCB_SetRxInterruptMode(intSourceMask)
#define SCB_SpiUartEnableIntTx(intSourceMask)  SCB_SetTxInterruptMode(intSourceMask)
uint32 SCB_SpiUartDisableIntRx(void);
uint32 SCB_SpiUartDisableIntTx(void);

#endif /* (CY_SCB_SPI_UART_PVT_SCB_H) */


/* [] END OF FILE */
